Ruby: malloc_state Struct Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Fields
malloc_state Struct Reference

## Data Fields
binmap_t | smallmap
binmap_t | treemap
size_t | dvsize
size_t | topsize
char * | least_addr
mchunkptr | dv
mchunkptr | top
size_t | trim_check
size_t | magic
mchunkptr | smallbins [(NSMALLBINS+1) *2]
tbinptr | treebins [NTREEBINS]
size_t | footprint
size_t | max_footprint
flag_t | mflags
msegment | seg

## Detailed Description

Definition at line 2069 of file dlmalloc.c.

## Field Documentation

## ◆ dv

mchunkptr malloc_state::dv

Definition at line 2075 of file dlmalloc.c.

## ◆ dvsize

size_t malloc_state::dvsize

Definition at line 2072 of file dlmalloc.c.

## ◆ footprint

size_t malloc_state::footprint

Definition at line 2081 of file dlmalloc.c.

## ◆ least_addr

char* malloc_state::least_addr

Definition at line 2074 of file dlmalloc.c.

## ◆ magic

size_t malloc_state::magic

Definition at line 2078 of file dlmalloc.c.

## ◆ max_footprint

size_t malloc_state::max_footprint

Definition at line 2082 of file dlmalloc.c.

## ◆ mflags

flag_t malloc_state::mflags

Definition at line 2083 of file dlmalloc.c.

## ◆ seg

msegment malloc_state::seg

Definition at line 2087 of file dlmalloc.c.

## ◆ smallbins

mchunkptr malloc_state::smallbins[(NSMALLBINS+1) *2]

Definition at line 2079 of file dlmalloc.c.

## ◆ smallmap

binmap_t malloc_state::smallmap

Definition at line 2070 of file dlmalloc.c.

## ◆ top

mchunkptr malloc_state::top

Definition at line 2076 of file dlmalloc.c.

## ◆ topsize

size_t malloc_state::topsize

Definition at line 2073 of file dlmalloc.c.

## ◆ treebins

tbinptr malloc_state::treebins[NTREEBINS]

Definition at line 2080 of file dlmalloc.c.

## ◆ treemap

binmap_t malloc_state::treemap

Definition at line 2071 of file dlmalloc.c.

## ◆ trim_check

size_t malloc_state::trim_check

Definition at line 2077 of file dlmalloc.c.

The documentation for this struct was generated from the following file:

- ext/fiddle/libffi-3.2.1/src/dlmalloc.c